
QGIS Application - Bug report #22049

Persistent crashes when editing nodes

2019-05-12 01:39 PM - Kevan Delaney

Status: Feedback

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.6.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29863

Description

Cause: editing one of 3 vector layers or creating a new polygon in one of them.  

Symptom: The screen freezes, the pointer starts drawing a blue rectangle with the one corner stuck on the screen where it first froze.  The

pointer cannot select entities but when dragged over to the menus I can save the layers and sometimes even the project before it crashes

totally - after 10 seconds or so.

Tried: new project, tried faster computer, tried saving layers as Spatialite tried 3.4.7 Madiera, tried splitting some longer lines into shorter

segments and this seemed to work at first.   

2 of the vector layers were created originally from MapInfo and geometry adjusted by hand to match Aerial Image.  

Am using an external hard drive (portability).  Will try to migrate all to the newer computer's internal drive.

History

#1 - 2019-05-12 11:21 PM - Kevan Delaney

Cause: editing one of 3 vector layers or creating a new polygon in one of them. 

Symptom: The screen freezes, the pointer starts drawing a blue rectangle with the one corner stuck on the screen where it first froze. The pointer cannot

select entities but when dragged over to the menus I can save the layers and sometimes even the project before it crashes totally - after 10 seconds or so.

Tried: new project, tried faster computer, tried saving layers as Spatialite tried 3.4.7 Madiera, tried splitting some longer lines into shorter segments and

this seemed to work at first. 

2 of the vector layers were created originally from MapInfo and geometry adjusted by hand to match Aerial Image. 

Am using an external hard drive (portability). Will try to migrate all to the newer computer's internal drive.

Update::Moved to internal drive and removed only plug-in (Attribute copy).  Started editing some lines, created a polygon in another layer. QGIS then would

not select (edit) one feature (but edited others); then another feature; then froze.  Report follows.

Crash ID: 759073cc032ed6273be0ff477769a2e009df2adf

Stack Trace

QMetaObject::disconnect :

QObject::disconnectImpl :

QgsVertexTool::setHighlightedVertices :

QgsVertexTool::tryToSelectFeature :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: 656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2019-05-13 12:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach a sample project and data.

Also try with a new/clean qgis profile.

#3 - 2019-05-13 12:25 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#4 - 2019-05-14 11:20 PM - Kevan Delaney

- File Road Segment Extract.cpg added
- File Kerb Extract.shx added

- File Kerb Extract.shp added

- File Kerb Extract.prj added

- File Kerb Extract.dbf added

- File Kerb Extract.cpg added

- File Kerb Extract.qpj added

- File Road Segment Extract.qpj added

- File Road Segment Extract.prj added

- File Road Segment Extract.dbf added

New day.  Removed one Poly layer and created new one (figured first was corrupt).  Yesterday created one buffered Polygon - seemed ok.  Today, created

new polygon by hand.  Seemed OK,  used Attribute painter on it. Moved one node on it. Crash.  Restarted and repeated above. Crash.  Report and extract

of portion of data follows.  Suspect it is Attribute Painter plugin

Crash ID: 759073cc032ed6273be0ff477769a2e009df2adf

Stack Trace

QMetaObject::disconnect :

QObject::disconnectImpl :

QgsVertexTool::setHighlightedVertices :

QgsVertexTool::tryToSelectFeature :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
#5 - 2019-05-17 07:39 PM - Giovanni Manghi

Kevan Delaney wrote:

Suspect it is Attribute Painter plugin

if this is the case then we would close this as invalid, please check with a new/clean qgis profile and no 3rd party plugins installed.

#6 - 2019-05-23 11:20 PM - Kevan Delaney

Yeah, agree as it just crashed with simple node editing and no added plugins at all.

Close this until I can check the data in another product - but i will find another job before i start editing the 4000+ features and 40,000 odd nodes again!!!

Thanks Giovanni et al.  Keep up the good work.

Files

Kerb Extract.cpg 5 Bytes 2019-05-14 Kevan Delaney

Kerb Extract.prj 393 Bytes 2019-05-14 Kevan Delaney

Kerb Extract.qpj 654 Bytes 2019-05-14 Kevan Delaney

Kerb Extract.dbf 744 KB 2019-05-14 Kevan Delaney

Kerb Extract.shx 2.73 KB 2019-05-14 Kevan Delaney

Kerb Extract.shp 117 KB 2019-05-14 Kevan Delaney

Road Segment Extract.cpg 5 Bytes 2019-05-14 Kevan Delaney

Road Segment Extract.prj 393 Bytes 2019-05-14 Kevan Delaney

Road Segment Extract.qpj 654 Bytes 2019-05-14 Kevan Delaney

Road Segment Extract.dbf 855 KB 2019-05-14 Kevan Delaney
